using System.ComponentModel.DataAnnotations.Schema;

namespace EnotaryoPH.Data.Entities
{
    [Table("Templates")]
    public class Template
    {
        [Column("TemplateID")]
        public int TemplateID { get; set; }

        [Column("Name")]
        public string Name { get; set; }

        [Column("Description")]
        public string? Description { get; set; }

        [Column("Pagecount")]
        public int? Pagecount { get; set; }

        [Column("CreatedOn")]
        public DateTime? CreatedOn { get; set; }

        [Column("TemplateUrl")]
        public string? TemplateUrl { get; set; }

        [Column("Template_UID")]
        public Guid? Template_UID { get; set; }
    }
}